package com.enactor.training.paymentService.service.messages.gcash;


import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

import com.enactor.core.application.process.ApplicationProcessDataType;
import com.enactor.core.application.process.IApplicationProcessDataType;
import com.enactor.core.entities.PropertyValidationException;
import com.enactor.core.utilities.Logger;	

/**
 * Add comments for the EnvInfo entity implementation here
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "EnvInfo", namespace=com.enactor.training.PackageInfo.NSURI_TRAINING, propOrder = {
	"clientIp",
	"merchantIp",
	"merchantTerminalId",
	"orderTerminalType",
	"terminalType"
})

@XmlRootElement(name = EnvInfo.ENTITY_NAME, namespace=com.enactor.training.PackageInfo.NSURI_TRAINING)
public class EnvInfo implements IEnvInfo {

	/** My logger instance */
	@SuppressWarnings("unused")
	private static final Logger logger = Logger.getLogger(EnvInfo.class);
	
	/** serialVersionUID */
	private static final long serialVersionUID = 1L;
	
	/** Entity name. */
	public static final String ENTITY_NAME = "envInfo";
	
	/** Entity QName */
	public static final QName ENTITY_QNAME = new QName(com.enactor.training.PackageInfo.NSURI_TRAINING, ENTITY_NAME, com.enactor.training.PackageInfo.PREFIX_TRAINING);

	/** Entity application data type name */
	public static final String ENTITY_DATA_TYPE_NAME = "enactor.robinsons.gcash.messages.EnvInfo";
	
	/** Entity application data type */
	public static final IApplicationProcessDataType ENTITY_DATA_TYPE = new ApplicationProcessDataType(ENTITY_DATA_TYPE_NAME, IEnvInfo.class.getName());	
		
	/** The ClientIp field */
	private String clientIp = null;
	
	/** The MerchantIp field */
	private String merchantIp = null;
	
	/** The MerchantTerminalId field */
	private String merchantTerminalId = null;
	
	/** The OrderTerminalType field */
	private String orderTerminalType = null;
	
	/** The TerminalType field */
	private String terminalType = null;

	/**************************************************************************
	 * EnvInfo Interface
	 **************************************************************************/
	
	@Override
	public void setClientIp(String clientIp) throws PropertyValidationException {
		this.clientIp = clientIp;
	}
	
	@Override
	public String getClientIp() {
		return (clientIp == null) ? "" : clientIp;
	}
	
	@Override
	public void setMerchantIp(String merchantIp) throws PropertyValidationException {
		this.merchantIp = merchantIp;
	}
	
	@Override
	public String getMerchantIp() {
		return (merchantIp == null) ? "" : merchantIp;
	}
	
	@Override
	public void setMerchantTerminalId(String merchantTerminalId) throws PropertyValidationException {
		this.merchantTerminalId = merchantTerminalId;
	}
	
	@Override
	public String getMerchantTerminalId() {
		return (merchantTerminalId == null) ? "" : merchantTerminalId;
	}
	
	@Override
	public void setOrderTerminalType(String orderTerminalType) throws PropertyValidationException {
		this.orderTerminalType = orderTerminalType;
	}
	
	@Override
	public String getOrderTerminalType() {
		return (orderTerminalType == null) ? "" : orderTerminalType;
	}
	
	@Override
	public void setTerminalType(String terminalType) throws PropertyValidationException {
		this.terminalType = terminalType;
	}
	
	@Override
	public String getTerminalType() {
		return (terminalType == null) ? "" : terminalType;
	}
	
	@Override
	public QName getEntityQName() {
		return ENTITY_QNAME;
	}

}
